# WOK
TKWOK
WOKBuilder

# WOKBuilder_DataMapOfMSActionIDOfMSAction Class Reference

`#include <WOKBuilder_DataMapOfMSActionIDOfMSAction.hxx>`

Inheritance diagram for WOKBuilder_DataMapOfMSActionIDOfMSAction:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_DataMapOfMSActionIDOfMSAction (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKBuilder_DataMapOfMSActionIDOfMSAction & | Assign (const WOKBuilder_DataMapOfMSActionIDOfMSAction &Other)
WOKBuilder_DataMapOfMSActionIDOfMSAction & | operator= (const WOKBuilder_DataMapOfMSActionIDOfMSAction &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKBuilder_DataMapOfMSActionIDOfMSAction ()
Standard_EXPORT Standard_Boolean | Bind (const WOKBuilder_MSActionID &K, const Handle(WOKBuilder_MSAction)&I)
Standard_EXPORT Standard_Boolean | IsBound (const WOKBuilder_MSActionID &K) const
Standard_EXPORT Standard_Boolean | UnBind (const WOKBuilder_MSActionID &K)
Standard_EXPORT const Handle_WOKBuilder_MSAction & | Find (const WOKBuilder_MSActionID &K) const
const Handle_WOKBuilder_MSAction & | operator() (const WOKBuilder_MSActionID &K) const
Standard_EXPORT Handle_WOKBuilder_MSAction & | ChangeFind (const WOKBuilder_MSActionID &K)
Handle_WOKBuilder_MSAction & | operator() (const WOKBuilder_MSActionID &K)

## Private Member Functions

Standard_EXPORT | WOKBuilder_DataMapOfMSActionIDOfMSAction (const WOKBuilder_DataMapOfMSActionIDOfMSAction &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_DataMapOfMSActionIDOfMSAction::WOKBuilder_DataMapOfMSActionIDOfMSAction | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKBuilder_DataMapOfMSActionIDOfMSAction::~WOKBuilder_DataMapOfMSActionIDOfMSAction | ( |  | ) | `[inline]`

Standard_EXPORT WOKBuilder_DataMapOfMSActionIDOfMSAction::WOKBuilder_DataMapOfMSActionIDOfMSAction | ( | const WOKBuilder_DataMapOfMSActionIDOfMSAction & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKBuilder_DataMapOfMSActionIDOfMSAction& WOKBuilder_DataMapOfMSActionIDOfMSAction::Assign | ( | const WOKBuilder_DataMapOfMSActionIDOfMSAction & | Other | ) |

Standard_EXPORT Standard_Boolean WOKBuilder_DataMapOfMSActionIDOfMSAction::Bind | ( | const WOKBuilder_MSActionID & | K,
|  | const Handle(WOKBuilder_MSAction)& | I
| ) |

Standard_EXPORT Handle_WOKBuilder_MSAction& WOKBuilder_DataMapOfMSActionIDOfMSAction::ChangeFind | ( | const WOKBuilder_MSActionID & | K | ) |

Standard_EXPORT void WOKBuilder_DataMapOfMSActionIDOfMSAction::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKBuilder_MSAction& WOKBuilder_DataMapOfMSActionIDOfMSAction::Find | ( | const WOKBuilder_MSActionID & | K | ) | const

Standard_EXPORT Standard_Boolean WOKBuilder_DataMapOfMSActionIDOfMSAction::IsBound | ( | const WOKBuilder_MSActionID & | K | ) | const

void WOKBuilder_DataMapOfMSActionIDOfMSAction::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKBuilder_DataMapOfMSActionIDOfMSAction::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKBuilder_DataMapOfMSActionIDOfMSAction::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_WOKBuilder_MSAction& WOKBuilder_DataMapOfMSActionIDOfMSAction::operator() | ( | const WOKBuilder_MSActionID & | K | ) | `[inline]`

const Handle_WOKBuilder_MSAction& WOKBuilder_DataMapOfMSActionIDOfMSAction::operator() | ( | const WOKBuilder_MSActionID & | K | ) | const`[inline]`

WOKBuilder_DataMapOfMSActionIDOfMSAction& WOKBuilder_DataMapOfMSActionIDOfMSAction::operator= | ( | const WOKBuilder_DataMapOfMSActionIDOfMSAction & | Other | ) | `[inline]`

Standard_EXPORT void WOKBuilder_DataMapOfMSActionIDOfMSAction::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKBuilder_DataMapOfMSActionIDOfMSAction::UnBind | ( | const WOKBuilder_MSActionID & | K | ) |

The documentation for this class was generated from the following file:

- WOKBuilder_DataMapOfMSActionIDOfMSAction.hxx